// ......................................................................
// .									.
// .	ut4_crossfirearena						.
// .									.
// .	Crossfire Arena (Crossfire by leaf_medic aka smoke dragon)	.
// .									.
// .	- 23 november 2021 -					.
// .									.
// .	Urban Terror 4.34						.
// .									.
// ......................................................................
//
// map by leaf, edit and script by sneaks (sneakslikesaki) jan. 2022


textures/ut4_crossfirearena/cfasky001
{
	qer_editorimage textures/ut4_crossfirearena/cfasky001.tga			//name it .tga even if it is not

	q3map_lightmapFilterRadius 0 8							//#self, #other surfaces //gaussian blur level
	q3map_backsplash 0 0								//turns off q3map_backSplash default [self lighting effect]
	q3map_sunExt 1 .85 .55 120 0 90 1 8						//always sunExt //#r #g #b, #intensity[brightness; light, higher brighter], #degrees[0east 90north 180west 270south], #elevation [0sunrise/sunset 90noon], #deviance, #samples
	q3map_skyLight 180 8								//INTENSITY [shade brightness; high is brighter - contrast] 	//#light brightness value, #transition quality[smoothness]
	q3map_lightRGB .80 .85 .95							//shade colour
	q3map_noFog
	q3map_globalTexture								//use when tcMod scale function is used

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	skyparms env/ut4_crossfirearena/cfasky001 1024 -				//scrolling clouds must have this value
	nopicmip
	nomipmaps
	{
		map textures/ut4_crossfirearena/cfasky001.tga
		tcMod scale 1 1								//scale 1=100% 2=50%
		rgbGen identityLighting
	}
	{
		clampmap textures/ut4_crossfirearena/cfasky001_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod transform 1 0.1 0.1 1 -1 -1
		tcMod scale .7 .7							//tcMod scale .6 .6
	}
}


textures/ut4_crossfirearena/cfa_glassfx3
{
	qer_trans 0.8
	qer_editor_image textures/ut4_crossfirearena/cfa_glassfx3.tga
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


textures/ut4_crossfirearena/cfa_grease
{
	qer_trans 0.8
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
	surfaceparm playerclip
}


textures/ut4_crossfirearena/cfa_numbers
{
	qer_trans 0.8
	qer_editor_image textures/ut4_crossfirearena/cfa_numbers.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_crossfirearena/cfa_numbers.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


// sneaks
// [sneakslikesaki] 2022
